#ifndef RFM_H
#define RFM_H

#include "rfmconfig.h"


void initRFMPort();
void setCommandLength(unsigned char len);
unsigned int writeCmd(unsigned int cmd);
void FIFOReset();
void rfInit();
void rfTxMode();
void rfRxMode();
unsigned char rfRecv();
void rfSend(unsigned char data);
void SendByte(unsigned char data);
void SendPackage(unsigned char* data);
void sendPack(unsigned char [8]);
unsigned char GetCRC(unsigned char* data);
unsigned char GetRFMByte();
unsigned char* GetRcvdData();
unsigned char* PrepareUartData(unsigned char* data);
void Answer(unsigned char* data);
void updateId();
void rfmSleep();
void rfmWake();

#endif
